Package ru.bitel.bgbilling.modules.mobile.common.bean

# Class MobileContractNotification

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.mobile.common.bean.MobileContractNotification

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class MobileContractNotification
    extends Id

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MobileContractNotification()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getContractId()` |
  `java.util.Date` | `getDateConfirm()` |
  `java.util.Date` | `getDateSend()` |
  `java.util.Map<java.lang.String,​java.lang.String>` | `getParams()` |
  `PushStatusType` | `getStatus()` |
  `java.lang.String` | `getText()` |
  `int` | `getUserId()` |
  `boolean` | `isStorable()` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setDateConfirm​(java.util.Date dateConfirm)` |
  `void` | `setDateSend​(java.util.Date dateSend)` |
  `void` | `setParams​(java.util.Map<java.lang.String,​java.lang.String> params)` |
  `void` | `setStatus​(PushStatusType status)` |
  `void` | `setStorable​(boolean storable)` |
  `void` | `setText​(java.lang.String text)` |
  `void` | `setUserId​(int userId)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MobileContractNotification

    public MobileContractNotification()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getText

    public java.lang.String getText()

  - ### setText

    public void setText​(java.lang.String text)

  - ### getStatus

    public PushStatusType getStatus()

  - ### setStatus

    public void setStatus​(PushStatusType status)

  - ### isStorable

    public boolean isStorable()

  - ### setStorable

    public void setStorable​(boolean storable)

  - ### getParams

    public java.util.Map<java.lang.String,​java.lang.String> getParams()

  - ### setParams

    public void setParams​(java.util.Map<java.lang.String,​java.lang.String> params)

  - ### getDateSend

    public java.util.Date getDateSend()

  - ### setDateSend

    public void setDateSend​(java.util.Date dateSend)

  - ### getDateConfirm

    public java.util.Date getDateConfirm()

  - ### setDateConfirm

    public void setDateConfirm​(java.util.Date dateConfirm)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId​(int userId)